class AddCustomWidgetSupport < ActiveRecord::Migration
  
  def self.up
    create_table :skin_pictures, :force => true do |t|
      t.column :filename,     :string
      t.column :content_type, :string
      t.column :size,         :integer
      t.column :width,        :integer
      t.column :height,       :integer
      t.column :created_at,   :datetime
      t.column :user_id,      :integer
    end
    
    add_column :elections, :embed_custom_string, :string, :default => nil
    
  end
  
  def self.down
    drop_table :skin_pictures
    
    remove_column :elections, :embed_custom_string   
  end
  
end
